<?php

/**
 * A helper file for Dcat Admin, to provide autocomplete information to your IDE
 *
 * This file should not be included in your code, only analyzed by your IDE!
 *
 * @author jqh <841324345@qq.com>
 */
namespace Dcat\Admin {
    use Illuminate\Support\Collection;

    /**
     * @property Grid\Column|Collection ko_name
     * @property Grid\Column|Collection zh_name
     * @property Grid\Column|Collection value
     * @property Grid\Column|Collection id
     * @property Grid\Column|Collection name
     * @property Grid\Column|Collection version
     * @property Grid\Column|Collection is_enabled
     * @property Grid\Column|Collection created_at
     * @property Grid\Column|Collection updated_at
     * @property Grid\Column|Collection parent_id
     * @property Grid\Column|Collection order
     * @property Grid\Column|Collection icon
     * @property Grid\Column|Collection uri
     * @property Grid\Column|Collection extension
     * @property Grid\Column|Collection permission_id
     * @property Grid\Column|Collection menu_id
     * @property Grid\Column|Collection slug
     * @property Grid\Column|Collection http_method
     * @property Grid\Column|Collection http_path
     * @property Grid\Column|Collection role_id
     * @property Grid\Column|Collection user_id
     * @property Grid\Column|Collection username
     * @property Grid\Column|Collection password
     * @property Grid\Column|Collection avatar
     * @property Grid\Column|Collection remember_token
     * @property Grid\Column|Collection md5
     * @property Grid\Column|Collection path
     * @property Grid\Column|Collection url
     * @property Grid\Column|Collection class
     * @property Grid\Column|Collection size
     * @property Grid\Column|Collection file_type
     * @property Grid\Column|Collection download
     * @property Grid\Column|Collection klass
     * @property Grid\Column|Collection objid
     * @property Grid\Column|Collection deleted_at
     * @property Grid\Column|Collection key
     * @property Grid\Column|Collection expiration
     * @property Grid\Column|Collection group
     * @property Grid\Column|Collection comment
     * @property Grid\Column|Collection sort
     * @property Grid\Column|Collection pid
     * @property Grid\Column|Collection short_name
     * @property Grid\Column|Collection grade
     * @property Grid\Column|Collection city_code
     * @property Grid\Column|Collection zip_code
     * @property Grid\Column|Collection merger_name
     * @property Grid\Column|Collection lng
     * @property Grid\Column|Collection lat
     * @property Grid\Column|Collection pinyin
     * @property Grid\Column|Collection uuid
     * @property Grid\Column|Collection connection
     * @property Grid\Column|Collection queue
     * @property Grid\Column|Collection payload
     * @property Grid\Column|Collection exception
     * @property Grid\Column|Collection failed_at
     * @property Grid\Column|Collection migration
     * @property Grid\Column|Collection batch
     * @property Grid\Column|Collection product_type_id
     * @property Grid\Column|Collection status
     * @property Grid\Column|Collection account
     * @property Grid\Column|Collection code
     * @property Grid\Column|Collection state
     * @property Grid\Column|Collection type
     * @property Grid\Column|Collection to_user_id
     * @property Grid\Column|Collection content
     * @property Grid\Column|Collection msg_id
     * @property Grid\Column|Collection image
     * @property Grid\Column|Collection level
     * @property Grid\Column|Collection zh_alias
     * @property Grid\Column|Collection ko_alias
     * @property Grid\Column|Collection describe
     * @property Grid\Column|Collection route_id
     * @property Grid\Column|Collection is_upload_display
     * @property Grid\Column|Collection is_filter_display
     * @property Grid\Column|Collection filter_display_pid
     * @property Grid\Column|Collection upload_display_pid
     * @property Grid\Column|Collection product_id
     * @property Grid\Column|Collection report_id
     * @property Grid\Column|Collection ko_title
     * @property Grid\Column|Collection desc
     * @property Grid\Column|Collection is_delete
     * @property Grid\Column|Collection event
     * @property Grid\Column|Collection prefix
     * @property Grid\Column|Collection mobile
     * @property Grid\Column|Collection verify_key
     * @property Grid\Column|Collection sms_code
     * @property Grid\Column|Collection sms_result
     * @property Grid\Column|Collection is_arrange
     * @property Grid\Column|Collection images
     * @property Grid\Column|Collection is_private
     * @property Grid\Column|Collection is_del
     * @property Grid\Column|Collection folder_id
     * @property Grid\Column|Collection pay_type
     * @property Grid\Column|Collection days
     * @property Grid\Column|Collection money
     * @property Grid\Column|Collection order_no
     * @property Grid\Column|Collection pay_time
     * @property Grid\Column|Collection month
     * @property Grid\Column|Collection nickname
     * @property Grid\Column|Collection email
     * @property Grid\Column|Collection online
     * @property Grid\Column|Collection introduce
     * @property Grid\Column|Collection lang
     * @property Grid\Column|Collection jpush_reg_id
     * @property Grid\Column|Collection last_login_ip
     * @property Grid\Column|Collection register_ip
     * @property Grid\Column|Collection last_login_time
     * @property Grid\Column|Collection member_type
     * @property Grid\Column|Collection company_image
     * @property Grid\Column|Collection company_card_color
     * @property Grid\Column|Collection company_name
     * @property Grid\Column|Collection production_project
     * @property Grid\Column|Collection company_url
     * @property Grid\Column|Collection company_phone
     * @property Grid\Column|Collection other_contacts
     * @property Grid\Column|Collection start_time
     * @property Grid\Column|Collection end_time
     *
     * @method Grid\Column|Collection ko_name(string $label = null)
     * @method Grid\Column|Collection zh_name(string $label = null)
     * @method Grid\Column|Collection value(string $label = null)
     * @method Grid\Column|Collection id(string $label = null)
     * @method Grid\Column|Collection name(string $label = null)
     * @method Grid\Column|Collection version(string $label = null)
     * @method Grid\Column|Collection is_enabled(string $label = null)
     * @method Grid\Column|Collection created_at(string $label = null)
     * @method Grid\Column|Collection updated_at(string $label = null)
     * @method Grid\Column|Collection parent_id(string $label = null)
     * @method Grid\Column|Collection order(string $label = null)
     * @method Grid\Column|Collection icon(string $label = null)
     * @method Grid\Column|Collection uri(string $label = null)
     * @method Grid\Column|Collection extension(string $label = null)
     * @method Grid\Column|Collection permission_id(string $label = null)
     * @method Grid\Column|Collection menu_id(string $label = null)
     * @method Grid\Column|Collection slug(string $label = null)
     * @method Grid\Column|Collection http_method(string $label = null)
     * @method Grid\Column|Collection http_path(string $label = null)
     * @method Grid\Column|Collection role_id(string $label = null)
     * @method Grid\Column|Collection user_id(string $label = null)
     * @method Grid\Column|Collection username(string $label = null)
     * @method Grid\Column|Collection password(string $label = null)
     * @method Grid\Column|Collection avatar(string $label = null)
     * @method Grid\Column|Collection remember_token(string $label = null)
     * @method Grid\Column|Collection md5(string $label = null)
     * @method Grid\Column|Collection path(string $label = null)
     * @method Grid\Column|Collection url(string $label = null)
     * @method Grid\Column|Collection class(string $label = null)
     * @method Grid\Column|Collection size(string $label = null)
     * @method Grid\Column|Collection file_type(string $label = null)
     * @method Grid\Column|Collection download(string $label = null)
     * @method Grid\Column|Collection klass(string $label = null)
     * @method Grid\Column|Collection objid(string $label = null)
     * @method Grid\Column|Collection deleted_at(string $label = null)
     * @method Grid\Column|Collection key(string $label = null)
     * @method Grid\Column|Collection expiration(string $label = null)
     * @method Grid\Column|Collection group(string $label = null)
     * @method Grid\Column|Collection comment(string $label = null)
     * @method Grid\Column|Collection sort(string $label = null)
     * @method Grid\Column|Collection pid(string $label = null)
     * @method Grid\Column|Collection short_name(string $label = null)
     * @method Grid\Column|Collection grade(string $label = null)
     * @method Grid\Column|Collection city_code(string $label = null)
     * @method Grid\Column|Collection zip_code(string $label = null)
     * @method Grid\Column|Collection merger_name(string $label = null)
     * @method Grid\Column|Collection lng(string $label = null)
     * @method Grid\Column|Collection lat(string $label = null)
     * @method Grid\Column|Collection pinyin(string $label = null)
     * @method Grid\Column|Collection uuid(string $label = null)
     * @method Grid\Column|Collection connection(string $label = null)
     * @method Grid\Column|Collection queue(string $label = null)
     * @method Grid\Column|Collection payload(string $label = null)
     * @method Grid\Column|Collection exception(string $label = null)
     * @method Grid\Column|Collection failed_at(string $label = null)
     * @method Grid\Column|Collection migration(string $label = null)
     * @method Grid\Column|Collection batch(string $label = null)
     * @method Grid\Column|Collection product_type_id(string $label = null)
     * @method Grid\Column|Collection status(string $label = null)
     * @method Grid\Column|Collection account(string $label = null)
     * @method Grid\Column|Collection code(string $label = null)
     * @method Grid\Column|Collection state(string $label = null)
     * @method Grid\Column|Collection type(string $label = null)
     * @method Grid\Column|Collection to_user_id(string $label = null)
     * @method Grid\Column|Collection content(string $label = null)
     * @method Grid\Column|Collection msg_id(string $label = null)
     * @method Grid\Column|Collection image(string $label = null)
     * @method Grid\Column|Collection level(string $label = null)
     * @method Grid\Column|Collection zh_alias(string $label = null)
     * @method Grid\Column|Collection ko_alias(string $label = null)
     * @method Grid\Column|Collection describe(string $label = null)
     * @method Grid\Column|Collection route_id(string $label = null)
     * @method Grid\Column|Collection is_upload_display(string $label = null)
     * @method Grid\Column|Collection is_filter_display(string $label = null)
     * @method Grid\Column|Collection filter_display_pid(string $label = null)
     * @method Grid\Column|Collection upload_display_pid(string $label = null)
     * @method Grid\Column|Collection product_id(string $label = null)
     * @method Grid\Column|Collection report_id(string $label = null)
     * @method Grid\Column|Collection ko_title(string $label = null)
     * @method Grid\Column|Collection desc(string $label = null)
     * @method Grid\Column|Collection is_delete(string $label = null)
     * @method Grid\Column|Collection event(string $label = null)
     * @method Grid\Column|Collection prefix(string $label = null)
     * @method Grid\Column|Collection mobile(string $label = null)
     * @method Grid\Column|Collection verify_key(string $label = null)
     * @method Grid\Column|Collection sms_code(string $label = null)
     * @method Grid\Column|Collection sms_result(string $label = null)
     * @method Grid\Column|Collection is_arrange(string $label = null)
     * @method Grid\Column|Collection images(string $label = null)
     * @method Grid\Column|Collection is_private(string $label = null)
     * @method Grid\Column|Collection is_del(string $label = null)
     * @method Grid\Column|Collection folder_id(string $label = null)
     * @method Grid\Column|Collection pay_type(string $label = null)
     * @method Grid\Column|Collection days(string $label = null)
     * @method Grid\Column|Collection money(string $label = null)
     * @method Grid\Column|Collection order_no(string $label = null)
     * @method Grid\Column|Collection pay_time(string $label = null)
     * @method Grid\Column|Collection month(string $label = null)
     * @method Grid\Column|Collection nickname(string $label = null)
     * @method Grid\Column|Collection email(string $label = null)
     * @method Grid\Column|Collection online(string $label = null)
     * @method Grid\Column|Collection introduce(string $label = null)
     * @method Grid\Column|Collection lang(string $label = null)
     * @method Grid\Column|Collection jpush_reg_id(string $label = null)
     * @method Grid\Column|Collection last_login_ip(string $label = null)
     * @method Grid\Column|Collection register_ip(string $label = null)
     * @method Grid\Column|Collection last_login_time(string $label = null)
     * @method Grid\Column|Collection member_type(string $label = null)
     * @method Grid\Column|Collection company_image(string $label = null)
     * @method Grid\Column|Collection company_card_color(string $label = null)
     * @method Grid\Column|Collection company_name(string $label = null)
     * @method Grid\Column|Collection production_project(string $label = null)
     * @method Grid\Column|Collection company_url(string $label = null)
     * @method Grid\Column|Collection company_phone(string $label = null)
     * @method Grid\Column|Collection other_contacts(string $label = null)
     * @method Grid\Column|Collection start_time(string $label = null)
     * @method Grid\Column|Collection end_time(string $label = null)
     */
    class Grid {}

    class MiniGrid extends Grid {}

    /**
     * @property Show\Field|Collection ko_name
     * @property Show\Field|Collection zh_name
     * @property Show\Field|Collection value
     * @property Show\Field|Collection id
     * @property Show\Field|Collection name
     * @property Show\Field|Collection version
     * @property Show\Field|Collection is_enabled
     * @property Show\Field|Collection created_at
     * @property Show\Field|Collection updated_at
     * @property Show\Field|Collection parent_id
     * @property Show\Field|Collection order
     * @property Show\Field|Collection icon
     * @property Show\Field|Collection uri
     * @property Show\Field|Collection extension
     * @property Show\Field|Collection permission_id
     * @property Show\Field|Collection menu_id
     * @property Show\Field|Collection slug
     * @property Show\Field|Collection http_method
     * @property Show\Field|Collection http_path
     * @property Show\Field|Collection role_id
     * @property Show\Field|Collection user_id
     * @property Show\Field|Collection username
     * @property Show\Field|Collection password
     * @property Show\Field|Collection avatar
     * @property Show\Field|Collection remember_token
     * @property Show\Field|Collection md5
     * @property Show\Field|Collection path
     * @property Show\Field|Collection url
     * @property Show\Field|Collection class
     * @property Show\Field|Collection size
     * @property Show\Field|Collection file_type
     * @property Show\Field|Collection download
     * @property Show\Field|Collection klass
     * @property Show\Field|Collection objid
     * @property Show\Field|Collection deleted_at
     * @property Show\Field|Collection key
     * @property Show\Field|Collection expiration
     * @property Show\Field|Collection group
     * @property Show\Field|Collection comment
     * @property Show\Field|Collection sort
     * @property Show\Field|Collection pid
     * @property Show\Field|Collection short_name
     * @property Show\Field|Collection grade
     * @property Show\Field|Collection city_code
     * @property Show\Field|Collection zip_code
     * @property Show\Field|Collection merger_name
     * @property Show\Field|Collection lng
     * @property Show\Field|Collection lat
     * @property Show\Field|Collection pinyin
     * @property Show\Field|Collection uuid
     * @property Show\Field|Collection connection
     * @property Show\Field|Collection queue
     * @property Show\Field|Collection payload
     * @property Show\Field|Collection exception
     * @property Show\Field|Collection failed_at
     * @property Show\Field|Collection migration
     * @property Show\Field|Collection batch
     * @property Show\Field|Collection product_type_id
     * @property Show\Field|Collection status
     * @property Show\Field|Collection account
     * @property Show\Field|Collection code
     * @property Show\Field|Collection state
     * @property Show\Field|Collection type
     * @property Show\Field|Collection to_user_id
     * @property Show\Field|Collection content
     * @property Show\Field|Collection msg_id
     * @property Show\Field|Collection image
     * @property Show\Field|Collection level
     * @property Show\Field|Collection zh_alias
     * @property Show\Field|Collection ko_alias
     * @property Show\Field|Collection describe
     * @property Show\Field|Collection route_id
     * @property Show\Field|Collection is_upload_display
     * @property Show\Field|Collection is_filter_display
     * @property Show\Field|Collection filter_display_pid
     * @property Show\Field|Collection upload_display_pid
     * @property Show\Field|Collection product_id
     * @property Show\Field|Collection report_id
     * @property Show\Field|Collection ko_title
     * @property Show\Field|Collection desc
     * @property Show\Field|Collection is_delete
     * @property Show\Field|Collection event
     * @property Show\Field|Collection prefix
     * @property Show\Field|Collection mobile
     * @property Show\Field|Collection verify_key
     * @property Show\Field|Collection sms_code
     * @property Show\Field|Collection sms_result
     * @property Show\Field|Collection is_arrange
     * @property Show\Field|Collection images
     * @property Show\Field|Collection is_private
     * @property Show\Field|Collection is_del
     * @property Show\Field|Collection folder_id
     * @property Show\Field|Collection pay_type
     * @property Show\Field|Collection days
     * @property Show\Field|Collection money
     * @property Show\Field|Collection order_no
     * @property Show\Field|Collection pay_time
     * @property Show\Field|Collection month
     * @property Show\Field|Collection nickname
     * @property Show\Field|Collection email
     * @property Show\Field|Collection online
     * @property Show\Field|Collection introduce
     * @property Show\Field|Collection lang
     * @property Show\Field|Collection jpush_reg_id
     * @property Show\Field|Collection last_login_ip
     * @property Show\Field|Collection register_ip
     * @property Show\Field|Collection last_login_time
     * @property Show\Field|Collection member_type
     * @property Show\Field|Collection company_image
     * @property Show\Field|Collection company_card_color
     * @property Show\Field|Collection company_name
     * @property Show\Field|Collection production_project
     * @property Show\Field|Collection company_url
     * @property Show\Field|Collection company_phone
     * @property Show\Field|Collection other_contacts
     * @property Show\Field|Collection start_time
     * @property Show\Field|Collection end_time
     *
     * @method Show\Field|Collection ko_name(string $label = null)
     * @method Show\Field|Collection zh_name(string $label = null)
     * @method Show\Field|Collection value(string $label = null)
     * @method Show\Field|Collection id(string $label = null)
     * @method Show\Field|Collection name(string $label = null)
     * @method Show\Field|Collection version(string $label = null)
     * @method Show\Field|Collection is_enabled(string $label = null)
     * @method Show\Field|Collection created_at(string $label = null)
     * @method Show\Field|Collection updated_at(string $label = null)
     * @method Show\Field|Collection parent_id(string $label = null)
     * @method Show\Field|Collection order(string $label = null)
     * @method Show\Field|Collection icon(string $label = null)
     * @method Show\Field|Collection uri(string $label = null)
     * @method Show\Field|Collection extension(string $label = null)
     * @method Show\Field|Collection permission_id(string $label = null)
     * @method Show\Field|Collection menu_id(string $label = null)
     * @method Show\Field|Collection slug(string $label = null)
     * @method Show\Field|Collection http_method(string $label = null)
     * @method Show\Field|Collection http_path(string $label = null)
     * @method Show\Field|Collection role_id(string $label = null)
     * @method Show\Field|Collection user_id(string $label = null)
     * @method Show\Field|Collection username(string $label = null)
     * @method Show\Field|Collection password(string $label = null)
     * @method Show\Field|Collection avatar(string $label = null)
     * @method Show\Field|Collection remember_token(string $label = null)
     * @method Show\Field|Collection md5(string $label = null)
     * @method Show\Field|Collection path(string $label = null)
     * @method Show\Field|Collection url(string $label = null)
     * @method Show\Field|Collection class(string $label = null)
     * @method Show\Field|Collection size(string $label = null)
     * @method Show\Field|Collection file_type(string $label = null)
     * @method Show\Field|Collection download(string $label = null)
     * @method Show\Field|Collection klass(string $label = null)
     * @method Show\Field|Collection objid(string $label = null)
     * @method Show\Field|Collection deleted_at(string $label = null)
     * @method Show\Field|Collection key(string $label = null)
     * @method Show\Field|Collection expiration(string $label = null)
     * @method Show\Field|Collection group(string $label = null)
     * @method Show\Field|Collection comment(string $label = null)
     * @method Show\Field|Collection sort(string $label = null)
     * @method Show\Field|Collection pid(string $label = null)
     * @method Show\Field|Collection short_name(string $label = null)
     * @method Show\Field|Collection grade(string $label = null)
     * @method Show\Field|Collection city_code(string $label = null)
     * @method Show\Field|Collection zip_code(string $label = null)
     * @method Show\Field|Collection merger_name(string $label = null)
     * @method Show\Field|Collection lng(string $label = null)
     * @method Show\Field|Collection lat(string $label = null)
     * @method Show\Field|Collection pinyin(string $label = null)
     * @method Show\Field|Collection uuid(string $label = null)
     * @method Show\Field|Collection connection(string $label = null)
     * @method Show\Field|Collection queue(string $label = null)
     * @method Show\Field|Collection payload(string $label = null)
     * @method Show\Field|Collection exception(string $label = null)
     * @method Show\Field|Collection failed_at(string $label = null)
     * @method Show\Field|Collection migration(string $label = null)
     * @method Show\Field|Collection batch(string $label = null)
     * @method Show\Field|Collection product_type_id(string $label = null)
     * @method Show\Field|Collection status(string $label = null)
     * @method Show\Field|Collection account(string $label = null)
     * @method Show\Field|Collection code(string $label = null)
     * @method Show\Field|Collection state(string $label = null)
     * @method Show\Field|Collection type(string $label = null)
     * @method Show\Field|Collection to_user_id(string $label = null)
     * @method Show\Field|Collection content(string $label = null)
     * @method Show\Field|Collection msg_id(string $label = null)
     * @method Show\Field|Collection image(string $label = null)
     * @method Show\Field|Collection level(string $label = null)
     * @method Show\Field|Collection zh_alias(string $label = null)
     * @method Show\Field|Collection ko_alias(string $label = null)
     * @method Show\Field|Collection describe(string $label = null)
     * @method Show\Field|Collection route_id(string $label = null)
     * @method Show\Field|Collection is_upload_display(string $label = null)
     * @method Show\Field|Collection is_filter_display(string $label = null)
     * @method Show\Field|Collection filter_display_pid(string $label = null)
     * @method Show\Field|Collection upload_display_pid(string $label = null)
     * @method Show\Field|Collection product_id(string $label = null)
     * @method Show\Field|Collection report_id(string $label = null)
     * @method Show\Field|Collection ko_title(string $label = null)
     * @method Show\Field|Collection desc(string $label = null)
     * @method Show\Field|Collection is_delete(string $label = null)
     * @method Show\Field|Collection event(string $label = null)
     * @method Show\Field|Collection prefix(string $label = null)
     * @method Show\Field|Collection mobile(string $label = null)
     * @method Show\Field|Collection verify_key(string $label = null)
     * @method Show\Field|Collection sms_code(string $label = null)
     * @method Show\Field|Collection sms_result(string $label = null)
     * @method Show\Field|Collection is_arrange(string $label = null)
     * @method Show\Field|Collection images(string $label = null)
     * @method Show\Field|Collection is_private(string $label = null)
     * @method Show\Field|Collection is_del(string $label = null)
     * @method Show\Field|Collection folder_id(string $label = null)
     * @method Show\Field|Collection pay_type(string $label = null)
     * @method Show\Field|Collection days(string $label = null)
     * @method Show\Field|Collection money(string $label = null)
     * @method Show\Field|Collection order_no(string $label = null)
     * @method Show\Field|Collection pay_time(string $label = null)
     * @method Show\Field|Collection month(string $label = null)
     * @method Show\Field|Collection nickname(string $label = null)
     * @method Show\Field|Collection email(string $label = null)
     * @method Show\Field|Collection online(string $label = null)
     * @method Show\Field|Collection introduce(string $label = null)
     * @method Show\Field|Collection lang(string $label = null)
     * @method Show\Field|Collection jpush_reg_id(string $label = null)
     * @method Show\Field|Collection last_login_ip(string $label = null)
     * @method Show\Field|Collection register_ip(string $label = null)
     * @method Show\Field|Collection last_login_time(string $label = null)
     * @method Show\Field|Collection member_type(string $label = null)
     * @method Show\Field|Collection company_image(string $label = null)
     * @method Show\Field|Collection company_card_color(string $label = null)
     * @method Show\Field|Collection company_name(string $label = null)
     * @method Show\Field|Collection production_project(string $label = null)
     * @method Show\Field|Collection company_url(string $label = null)
     * @method Show\Field|Collection company_phone(string $label = null)
     * @method Show\Field|Collection other_contacts(string $label = null)
     * @method Show\Field|Collection start_time(string $label = null)
     * @method Show\Field|Collection end_time(string $label = null)
     */
    class Show {}

    /**
     
     */
    class Form {}

}

namespace Dcat\Admin\Grid {
    /**
     
     */
    class Column {}

    /**
     
     */
    class Filter {}
}

namespace Dcat\Admin\Show {
    /**
     
     */
    class Field {}
}
